#!/bin/bash

#############################################################################################
# 用途: DataX-Admin构建脚本
# 作者: 丁辉
# 更新时间: 2024-03-07
#############################################################################################

# 检查本地是否存在 datax.tar.gz 文件, 如果不存在则下载
if [ ! -f datax-web-2.1.2.tar.gz ]; then
    echo "datax-web-2.1.2.tar.gz 文件不存在, 开始下载..."
    wget https://rainbond-pkg.oss-cn-shanghai.aliyuncs.com/dingh/datax-web-2.1.2.tar.gz
fi

# 开始构建镜像
echo "开始构建镜像..."
echo "开始构建镜像..."

docker build -t registry.cn-hangzhou.aliyuncs.com/offends/datax:admin .

echo "镜像构建完成 registry.cn-hangzhou.aliyuncs.com/offends/datax:admin"